# Uses of Class
org.eclipse.jdt.core.compiler.BuildContext

Packages that use BuildContext
Package
Description
org.eclipse.jdt.core.compiler
This package contains compiler associated infrastructure APIs.

## Uses of BuildContext in org.eclipse.jdt.core.compiler

Methods in org.eclipse.jdt.core.compiler with parameters of type BuildContext
Modifier and Type
Method
Description
`void`
CompilationParticipant.`buildStarting(BuildContext[] files, boolean isBatch)`
Notifies this participant that a compile operation is about to start and provides it the opportunity to generate source files based on the source files about to be compiled.
`void`
CompilationParticipant.`processAnnotations(BuildContext[] files)`
Notifies this participant that a compile operation has found source files using Annotations.